Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005867 [JEDI VCL] 00 JVCL Components major always 2012-04-22 11:40 2012-09-10 14:15
Reporter stevegr View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005867: JvDriveCtrls.TJvDirectoryListBox - procedure DriveChange(NewDrive: Char)
Description bug: When drive is changed back to 'C:\', SetCurrentDir cannot be set correctly and return to \Windows\System32 directory.

Line: 1152
  if not SetCurrentDir(NewDrive + ':') then
Fix: need to change to
  if not SetCurrentDir(NewDrive + ':\') then

(Delphi 2010, Windows 7)
Additional Information
Tags No tags attached.
Attached Files 7z file icon Demo2.7z [^] (574,876 bytes) 2012-06-17 19:37

- Relationships
related to 0005866resolvedobones JvClock.TJvClock - AMPM wrong display. 

-  Notes
(0019861)
obones (administrator)
2012-06-11 17:30

Please provide the zipped sources of a sample application showing this.
(0020006)
stevegr (reporter)
2012-06-17 19:37

Files uploaded.
(0020017)
obones (administrator)
2012-06-18 14:25

This is now in SVN

- Issue History
Date Modified Username Field Change
2012-04-22 11:40 stevegr New Issue
2012-06-11 17:30 obones Note Added: 0019861
2012-06-11 17:30 obones Status new => feedback
2012-06-17 19:37 stevegr File Added: Demo2.7z
2012-06-17 19:37 stevegr Note Added: 0020006
2012-06-18 11:25 obones Status feedback => acknowledged
2012-06-18 11:25 obones Relationship added related to 0005866
2012-06-18 14:25 obones Note Added: 0020017
2012-06-18 14:25 obones Status acknowledged => resolved
2012-06-18 14:25 obones Fixed in Version => Daily / SVN
2012-06-18 14:25 obones Resolution open => fixed
2012-06-18 14:25 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker